body {
  margin: 0;
  padding: 0;
}


section {
  display: flex;
  background: rgb(121, 159, 23);
  height: 100px;
  color: white;
  align-items: center;
  justify-content: center;
  margin: 2rem;
}

section:nth-child(1) {
  width: max(50%, 500px);
}

section:nth-child(2) {
  width: min(50%, 500px);
}

section:nth-child(3) {
  width: clamp(300px, 50%, 600px);
}